org.apache.xpath.compiler

## Class PsuedoNames

- java.lang.Object
- - org.apache.xpath.compiler.PsuedoNames

    public class PsuedoNames
    extends java.lang.Object

This is used to represent names of nodes that may not be named, like a comment node.

### Field Summary

Fields
`static java.lang.String` `PSEUDONAME_ANY` Psuedo name for a wild card pattern ('*').
`static java.lang.String` `PSEUDONAME_COMMENT` Psuedo name for a comment node.
`static java.lang.String` `PSEUDONAME_OTHER` Psuedo name for an unknown type value.
`static java.lang.String` `PSEUDONAME_PI` Psuedo name for a processing instruction node.
`static java.lang.String` `PSEUDONAME_ROOT` Psuedo name for the root node.
`static java.lang.String` `PSEUDONAME_TEXT` Psuedo name for a text node.

### Constructor Summary

Constructors
Constructor and Description
`PsuedoNames()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PSEUDONAME_ANY

    public static final java.lang.String PSEUDONAME_ANY

Psuedo name for a wild card pattern ('*').

See Also:
  Constant Field Values

#### PSEUDONAME_ROOT

    public static final java.lang.String PSEUDONAME_ROOT

Psuedo name for the root node.

See Also:
  Constant Field Values

#### PSEUDONAME_TEXT

    public static final java.lang.String PSEUDONAME_TEXT

Psuedo name for a text node.

See Also:
  Constant Field Values

#### PSEUDONAME_COMMENT

    public static final java.lang.String PSEUDONAME_COMMENT

Psuedo name for a comment node.

See Also:
  Constant Field Values

#### PSEUDONAME_PI

    public static final java.lang.String PSEUDONAME_PI

Psuedo name for a processing instruction node.

See Also:
  Constant Field Values

#### PSEUDONAME_OTHER

    public static final java.lang.String PSEUDONAME_OTHER

Psuedo name for an unknown type value.

See Also:
  Constant Field Values

### Constructor Detail

#### PsuedoNames

    public PsuedoNames()